%global git_repo    candy-icons
%global git_url     https://github.com/EliverLara/%{git_repo}
%global git_commit  fc3fbcad9f5be637b67ed920e0eeba4708edda86
%global git_date    20200312

%global git_commit_short  %(c="%{git_commit}"; echo ${c:0:8})

Name:           candy-icon-theme
Version:        0
Release:        9.%{git_date}git%{git_commit_short}%{?dist}
Summary:        Sweet gradient icon theme

License:        GPLv3
URL:            https://www.opendesktop.org/p/1305251/
Source0:        %{git_url}/archive/%{git_commit}/%{git_repo}-%{git_commit}.tar.gz

BuildArch:      noarch

Requires:       elementary-icon-theme
Requires:       gnome-icon-theme
Requires:       hicolor-icon-theme
Requires:       mint-x-icons

%description
Candy Icons is a simplistic, vector, gradient icon theme.


%prep
%autosetup -n %{git_repo}-%{git_commit}

# Change paths inside index.theme to reflect the installation dirs
sed \
  -e 's|^Name=candy-icons$|Name=Candy Icons|' \
  -e 's|apps/scalable|scalable/apps|g' \
  -e 's|places/16|16x16/places|g' \
  -e 's|places/24|24x24/places|g' \
  -e 's|places/48|48x48/places|g' \
  -i index.theme


%build
# Nothing to do here


%install
CANDY_DIR="%{buildroot}%{_datadir}/icons/Candy"
install -m 755 -d "${CANDY_DIR}"
install -m 644 index.theme "${CANDY_DIR}/"

install -m 755 -d "${CANDY_DIR}/scalable/apps"
find ./apps/scalable/ -type f -exec install -m 644 -p "{}" "${CANDY_DIR}/scalable/apps/" ";"
find ./apps/scalable/ -type l -exec cp -a "{}" "${CANDY_DIR}/scalable/apps/" ";"

for SIZE in 16 48; do
	SIZE_DIR="${CANDY_DIR}/${SIZE}x${SIZE}"
	install -m 755 -d "${SIZE_DIR}"
	
	install -m 755 -d "${SIZE_DIR}/places"
	find "./places/${SIZE}/" -type f -exec install -m 644 -p "{}" "${SIZE_DIR}/places/" ";"
	find "./places/${SIZE}/" -type l -exec cp -a "{}" "${SIZE_DIR}/places/" ";"
done

touch "${CANDY_DIR}/icon-theme.cache"


%transfiletriggerin -- %{_datadir}/icons/Candy
gtk-update-icon-cache --force %{_datadir}/icons/Candy &>/dev/null || :


%files
%license LICENSE

%dir %{_datadir}/icons/Candy
%{_datadir}/icons/Candy/index.theme
%{_datadir}/icons/Candy/**/*
%ghost %{_datadir}/icons/Candy/icon-theme.cache


%changelog
* Sat Mar 22 2020 Artur Iwicki <fedora@svgames.pl> - 0-9.20200312gitfc3fbcad
- Upate to latest upstream snapshot

* Fri Feb 21 2020 Artur Iwicki <fedora@svgames.pl> - 0-8.20200220gita6e938f8
- Update to latest upstream snapshot

* Sun Feb 02 2020 Artur Iwicki <fedora@svgames.pl> - 0-7.20200131git8f853b2e
- Update to latest upstream snapshot
- Fix symlinks not being preserved in packaging

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-6.20200110git4e63197c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jan 11 2020 Artur Iwicki <fedora@svgames.pl> - 0-5.20200110git4e63197c
- Update to latest upstream snapshot

* Sat Dec 21 2019 Artur Iwicki <fedora@svgames.pl> - 0-4.20191220gitd8f73028
- Update to latest upstream snapshot

* Wed Dec 11 2019 Artur Iwicki <fedora@svgames.pl> - 0-3.20191210gitd68a12e8
- Update to latest upstream snapshot
- Preserve timestamps for icon files

* Sat Nov 30 2019 Artur Iwicki <fedora@svgames.pl> - 0-2.20191129gite14463b4
- Update to latest upstream snapshot
- Change "Requires:" to match "Inherits=" from index.theme

* Fri Nov 15 2019 Artur Iwicki <fedora@svgames.pl> - 0-1.20191113gita9f7014e
- Initial packaging
